import { __require as require_isNaN } from "../../math-intrinsics/isNaN.js";
var SameValue;
var hasRequiredSameValue;
function requireSameValue() {
  if (hasRequiredSameValue) return SameValue;
  hasRequiredSameValue = 1;
  var $isNaN = require_isNaN();
  SameValue = function SameValue2(x, y) {
    if (x === y) {
      if (x === 0) {
        return 1 / x === 1 / y;
      }
      return true;
    }
    return $isNaN(x) && $isNaN(y);
  };
  return SameValue;
}
export {
  requireSameValue as __require
};
